Commit cedb60cb authored by Friedrich W. H. Kossebau's avatar Friedrich W. H. Kossebau
Browse files

Use QT_MIN_VERSION for consistency with other plasma repos

parent d9d708de
......@@ -9,7 +9,7 @@ if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()
set(REQUIRED_QT_VERSION 5.9.0)
set(QT_MIN_VERSION 5.9.0)
set(KF5_MIN_VERSION 5.45.0)
include(FeatureSummary)
......@@ -24,7 +24,7 @@ include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(GenerateExportHeader)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
Core
Gui
DBus
......
find_package(Qt5WebEngine ${REQUIRED_QT_VERSION} CONFIG)
find_package(Qt5WebEngine ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebEngine PROPERTIES
PURPOSE "Needed by the dict applet"
......
find_package(Qt5WebEngine ${REQUIRED_QT_VERSION} CONFIG)
find_package(Qt5WebEngine ${QT_MIN_VERSION} CONFIG)
set_package_properties(Qt5WebEngine PROPERTIES
PURPOSE "Needed by the web browser applet"
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment